Bug 1311045 - Review Request: Avago ECD RoCE User space library (libocrdma)
Summary: Review Request: Avago ECD RoCE User space library (libocrdma)
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Neil Horman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1315609
TreeView+ depends on / blocked
 
Reported: 2016-02-23 09:11 UTC by ocrdma-dev.pdl
Modified: 2016-07-29 09:43 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-27 08:29:25 UTC
Type: Bug
nhorman: fedora-review+


Attachments (Terms of Use)
fedora review comment (1.35 KB, patch)
2016-04-11 11:44 UTC, Honggang LI
no flags Details | Diff
spec file diff (1.47 KB, patch)
2016-04-15 06:55 UTC, ocrdma-dev.pdl
no flags Details | Diff

Description ocrdma-dev.pdl 2016-02-23 09:11:19 UTC
Update the latest libocrdma library to Fedora.


Latest version available is 1.0.6


This can be downloaded from Openfabrics download page.

SRPMS:
http://downloads.openfabrics.org/downloads/libocrdma/SRPMS/1.0.6/

tar.gz:
http://downloads.openfabrics.org/downloads/libocrdma/libocrdma-1.0.6.tar.gz

Comment 1 Matthias Runge 2016-02-23 11:30:28 UTC
Please provide both, a SRPM and a SPEC file for your review request.

Also please provide your fas account. The full process is outlined here: https://fedoraproject.org/wiki/Package_Review_Process

Comment 2 ocrdma-dev.pdl 2016-03-02 08:29:47 UTC
Attaching the path to the source RPM file and Spec file available in openfabrics.org server.


Src RPM file:

http://downloads.openfabrics.org/downloads/libocrdma/SRPMS/1.0.6/libocrdma-1.0.6-1.el7.src.rpm

Spec file:
http://downloads.openfabrics.org/downloads/libocrdma/SRPMS/1.0.6/libocrdma.spec


FAS Account is created. User name is - ocrdma

Please let us know if you need any more information.

Thanks,
Selvin Xavier

Comment 3 Matthias Runge 2016-03-02 11:28:08 UTC
please fix the bug description, it's a review request, not "Update....."

We're sponsoring people into the packager group, not projects or packages.


An example of a review request, what it takes etc. is for example here: https://bugzilla.redhat.com/show_bug.cgi?id=1312350

Comment 4 ocrdma-dev.pdl 2016-03-04 13:38:17 UTC
Latest Fedora source RPM and spec file are available in openfabrics.org server.

SRPM: http://downloads.openfabrics.org/downloads/libocrdma/SRPMS/1.0.6/libocrdma-1.0.6-2.fc23.src.rpm
SPEC file:
http://downloads.openfabrics.org/downloads/libocrdma/SRPMS/1.0.6/libocrdma-fc.spec

Description: Userspace Library for Emulex ROCE Adapter
libocrdma provides a device-specific userspace driver for Emulex One Command RoCE Adapters for using with the libibverbs library


Fedora Account System UserName: sxavier

Comment 5 Neil Horman 2016-03-16 19:44:12 UTC
This is still broken.  The spec file is misnamed:
https://fedoraproject.org/wiki/Packaging:Guidelines#Spec_File_Naming



And it doesn't build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=13369378

please fix those items and resubmit.

Comment 6 ocrdma-dev.pdl 2016-03-17 10:17:14 UTC
(In reply to Neil Horman from comment #5)
> This is still broken.  The spec file is misnamed:
> https://fedoraproject.org/wiki/Packaging:Guidelines#Spec_File_Naming
> 
> 
> 
> And it doesn't build:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=13369378
> 
> please fix those items and resubmit.


We named the spec file as libocrdma-fc.spec to distinguish this spec files from the spec files for other distros. We plan to use this server for hosting libocrdma for other distros also.
As per your suggestion, I changed the spec file to libocrdma.spec and uploaded all the files under a fedora folder

Please use the latest sources and spec files from

http://downloads.openfabrics.org/libocrdma/SRPMS/fedora/1.0.6/

Since i used a Windows system to upload libocrdma.spec file last week, the file format got changed to DOS and the build failure was due to the same. I converted the file to unix format using dos2unix. No changes done for the spec file. So  the library version is not changed.

Let us know if you need more information.

Thanks,
Selvin Xavier

Comment 7 Neil Horman 2016-03-17 13:36:08 UTC
I'll go grab them, but please use the SRPM/SPEC format prescribed in the fedora review guidelines, as it allows the automated tools to function properly.

Comment 8 Neil Horman 2016-03-17 16:04:36 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in /home/nhorman/review-
  libocrdma/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL
- Static libraries in -static or -devel subpackage, providing -devel if
  present.
  Note: Package has .a files: libocrdma-devel. Does not provide -static:
  libocrdma-devel.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries


===== MUST items =====

C/C++:
[x ]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "BSD (2 clause)", "GPL (v2 or later)",
     "Unknown or generated". 6 files have unknown license. Detailed output
     of licensecheck in /home/nhorman/review-libocrdma/licensecheck.txt
<NH> The spec file indicates this is GPL or BSD licensed, but the COPYING file
in the source indicates GPLv2

[x]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
<NH> see above

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: %config files are marked noreplace or the reason is justified.
<NH> Note: No (noreplace) in %config /etc/libibverbs.d/ocrdma.driver

[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
<NH> Seems like -devel is missing header files

[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[! : Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
     Note: %makeinstall used in %install section
<NH> DESTDIR works fine, you should use that

[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     libocrdma-devel , libocrdma-debuginfo
[x]: Package functions as described.
[!]: Latest version is packaged.
<NH> version 1.0.7 appears to have been released

[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.15 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Mock Version: 1.2.15
INFO: Mock Version: 1.2.15
Finish: chroot init
INFO: installing package(s): /home/nhorman/review-libocrdma/results/libocrdma-1.0.6-2.fc25.x86_64.rpm /home/nhorman/review-libocrdma/results/libocrdma-devel-1.0.6-2.fc25.x86_64.rpm /home/nhorman/review-libocrdma/results/libocrdma-debuginfo-1.0.6-2.fc25.x86_64.rpm /home/nhorman/review-libocrdma/results/libocrdma-debuginfo-1.0.6-2.fc25.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 25 --disableplugin=local --setopt=deltarpm=false install /home/nhorman/review-libocrdma/results/libocrdma-1.0.6-2.fc25.x86_64.rpm /home/nhorman/review-libocrdma/results/libocrdma-devel-1.0.6-2.fc25.x86_64.rpm /home/nhorman/review-libocrdma/results/libocrdma-debuginfo-1.0.6-2.fc25.x86_64.rpm /home/nhorman/review-libocrdma/results/libocrdma-debuginfo-1.0.6-2.fc25.x86_64.rpm --setopt=tsflags=nocontexts
WARNING: unable to delete selinux filesystems (/tmp/mock-selinux-plugin.elt5dnb1): [Errno 1] Operation not permitted: '/tmp/mock-selinux-plugin.elt5dnb1'


Rpmlint
-------
Checking: libocrdma-1.0.6-2.fc25.x86_64.rpm
          libocrdma-devel-1.0.6-2.fc25.x86_64.rpm
          libocrdma-debuginfo-1.0.6-2.fc25.x86_64.rpm
          libocrdma-1.0.6-2.fc25.src.rpm
libocrdma.x86_64: W: spelling-error Summary(en_US) Userspace -> User space, User-space, Users pace
libocrdma.x86_64: W: summary-ended-with-dot C Userspace Library for Emulex ROCE Device.
libocrdma.x86_64: W: spelling-error %description -l en_US userspace -> user space, user-space, users pace
libocrdma.x86_64: W: spelling-error %description -l en_US libibverbs -> verbalizes
libocrdma.x86_64: E: description-line-too-long C libocrdma provides a device-specific userspace driver for Emulex One Command RoCE Adapters
libocrdma.x86_64: W: invalid-license GPL
libocrdma.x86_64: W: conffile-without-noreplace-flag /etc/libibverbs.d/ocrdma.driver
libocrdma.x86_64: W: dangerous-command-in-%post rpm
libocrdma-devel.x86_64: W: invalid-license GPL
libocrdma-devel.x86_64: W: no-documentation
libocrdma-debuginfo.x86_64: W: invalid-license GPL
libocrdma.src: W: spelling-error Summary(en_US) Userspace -> User space, User-space, Users pace
libocrdma.src: W: summary-ended-with-dot C Userspace Library for Emulex ROCE Device.
libocrdma.src: W: spelling-error %description -l en_US userspace -> user space, user-space, users pace
libocrdma.src: W: spelling-error %description -l en_US libibverbs -> verbalizes
libocrdma.src: E: description-line-too-long C libocrdma provides a device-specific userspace driver for Emulex One Command RoCE Adapters
libocrdma.src: W: invalid-license GPL
libocrdma.src: W: file-size-mismatch libocrdma-1.0.6.tar.gz = 327021, http://www.openfabrics.org/downloads/libocrdma/libocrdma-1.0.6.tar.gz = 324568
4 packages and 0 specfiles checked; 2 errors, 16 warnings.




Requires
--------
libocrdma-debuginfo (rpmlib, GLIBC filtered):

libocrdma-devel (rpmlib, GLIBC filtered):
    libocrdma

libocrdma (rpmlib, GLIBC filtered):
    /bin/sh
    config(libocrdma)
    libc.so.6()(64bit)
    libibverbs.so.1()(64bit)
    libibverbs.so.1(IBVERBS_1.0)(64bit)
    libibverbs.so.1(IBVERBS_1.1)(64bit)
    rtld(GNU_HASH)



Provides
--------
libocrdma-debuginfo:
    libocrdma-debuginfo
    libocrdma-debuginfo(x86-64)

libocrdma-devel:
    libocrdma-devel
    libocrdma-devel(x86-64)

libocrdma:
    config(libocrdma)
    libocrdma
    libocrdma(x86-64)
    libocrdma-rdmav2.so()(64bit)



Unversioned so-files
--------------------
libocrdma: /usr/lib64/libocrdma-rdmav2.so
libocrdma: /usr/lib64/libocrdma.so

Source checksums
----------------
http://www.openfabrics.org/downloads/libocrdma/libocrdma-1.0.6.tar.gz :
  CHECKSUM(SHA256) this package     : 19c1aafb545c3cce6d1680914db02a9e83e8e4051f9974d4b412d354f0595d4e
  CHECKSUM(SHA256) upstream package : 6b9aa29ca1368b2211f8a7233114f9c4f6cd305f686af8dbbe7220202b303243
diff -r also reports differences

Please address the noted issues and resubmit.  Thanks

Comment 9 Honggang LI 2016-03-28 07:29:40 UTC
Hello, ocrdma-dev
 Ping? Any update? Please respond to Neil's comment #8.

Comment 10 ocrdma-dev.pdl 2016-03-28 11:38:06 UTC
We are addressing review comments and resubmit for review ASAP.

Comment 11 Honggang LI 2016-04-08 09:13:15 UTC
(In reply to ocrdma-dev.pdl from comment #10)
> We are addressing review comments and resubmit for review ASAP.

Ping? any update? thanks

Comment 12 ocrdma-dev.pdl 2016-04-11 09:47:27 UTC
Sorry for the late response. I was on vacation last week.

We changed the version to 1.0.8 since the files AUTHORS and COPYING is changed after fixing the review suggestions.

Please find the latest SRPM and spec file uploaded in the following locations.

SRPM: http://downloads.openfabrics.org/downloads/libocrdma/SRPMS/fedora/1.0.8/libocrdma-1.0.8-1.fc23.src.rpm

Spec file: http://downloads.openfabrics.org/downloads/libocrdma/SRPMS/fedora/1.0.8/libocrdma.spec


Can you please run the build and let us know whether it is passing your build?

Thanks for the help.

Selvin Xavier

Comment 13 Honggang LI 2016-04-11 11:44:05 UTC
Created attachment 1145930 [details]
fedora review comment

I created a patch to fix those issues addressed by Neil in comment #8. So, please apply it and re-create spec and src package. Please submit a koji job. And provide the URLs to spec, srpm and koji task.

Comment 14 Honggang LI 2016-04-11 12:02:31 UTC
(In reply to Neil Horman from comment #8)

> <NH> The spec file indicates this is GPL or BSD licensed, but the COPYING
> file
> in the source indicates GPLv2

fixed.

> 
> [x]: License file installed when any subpackage combination is installed.
> [!]: If the package is under multiple licenses, the licensing breakdown
>      must be documented in the spec.
> <NH> see above

Fixed too. 


> [!]: %config files are marked noreplace or the reason is justified.
> <NH> Note: No (noreplace) in %config /etc/libibverbs.d/ocrdma.driver
> 

It is unnecessary as it should be replaced.

> [x]: Package contains desktop file if it is a GUI application.
> [x]: Development files must be in a -devel package
> <NH> Seems like -devel is missing header files

The devel package had been renamed as static. So, it is no longer an issue. 


> [! : Package use %makeinstall only when make install DESTDIR=... doesn't
>      work.
>      Note: %makeinstall used in %install section
> <NH> DESTDIR works fine, you should use that
> 

Replace it with %{make_install}.

> <NH> version 1.0.7 appears to have been released
> 

Updated to latest 1.0.8.


thanks.

Comment 15 ocrdma-dev.pdl 2016-04-12 08:45:09 UTC
Updated the spec file as per Honggang LI suggestions and uploaded the SRPMs and spec file under the following location. Also attaching the link of the koji task. i tried scrach build for rawhide target. Please let me know if i am missing anything.



SRPM: http://downloads.openfabrics.org/downloads/libocrdma/SRPMS/fedora/1.0.8/libocrdma-1.0.8-2.fc23.src.rpm

Spec file:
http://downloads.openfabrics.org/downloads/libocrdma/SRPMS/fedora/1.0.8/libocrdma.spec

koji task:

http://koji.fedoraproject.org/koji/taskinfo?taskID=13632255

Thanks,
Selvin Xavier

Comment 16 Neil Horman 2016-04-12 19:20:32 UTC
You missed one of the rpmlint errors

libocrdma.x86_64: W: dangerous-command-in-%post rpm

You should never use rpm in an rpm spec file.  Instead try running dapl --version or some such to extract the version info you need.  Otherwise, you run the risk of deadlocking rpm

Comment 17 ocrdma-dev.pdl 2016-04-14 08:18:08 UTC
Hi Neil,
 I updated the spec file based on your comment. Attaching the new links for SRPM, spec and koji task

SRPM: http://downloads.openfabrics.org/downloads/libocrdma/SRPMS/fedora/1.0.8/libocrdma-1.0.8-3.fc23.src.rpm

Spec file: http://downloads.openfabrics.org/downloads/libocrdma/SRPMS/fedora/1.0.8/libocrdma.spec

koji Task: http://koji.fedoraproject.org/koji/taskinfo?taskID=13655805

Let me know if i am missing anything.

Thanks,
Selvin Xavier

Comment 18 Honggang LI 2016-04-14 08:24:48 UTC
Can you please compare the spec files by run "diff -up old.spec new.spec"? And feedback the output. It will be helpful for reviewing. And please insert a blank new line between following two lines.

- Fixing a rpmlint error in post section
* Tue Apr  12 2016 Selvin Xavier <selvin.xavier@broadcom.com> - 1.0.8-2

Comment 19 Neil Horman 2016-04-14 12:52:12 UTC
Additionally, in prep for the next phase of this review, I presume that you have a fedora account named ocrdma-dev.pdl?  You will need an account that matches the name of your bz account if you want to get approved for packager status

Comment 20 ocrdma-dev.pdl 2016-04-15 05:27:47 UTC
(In reply to Neil Horman from comment #19)
> Additionally, in prep for the next phase of this review, I presume that you
> have a fedora account named ocrdma-dev.pdl?  You will need an account that
> matches the name of your bz account if you want to get approved for packager
> status

We have an account registered with mail id ocrdma-dev.pdl@broadcom.com

Account name: ocrdma

This is a group mail id for ocrdma development.

Will this work for the above requirement?

Comment 21 ocrdma-dev.pdl 2016-04-15 06:55:47 UTC
Created attachment 1147468 [details]
spec file diff

(In reply to Honggang LI from comment #18)
> Can you please compare the spec files by run "diff -up old.spec new.spec"?
> And feedback the output. It will be helpful for reviewing. And please insert
> a blank new line between following two lines.
> 
> - Fixing a rpmlint error in post section
> * Tue Apr  12 2016 Selvin Xavier <selvin.xavier@broadcom.com> - 1.0.8-2

spec file diff between 1.0.8-2 and 1.0.8-3

Comment 23 Neil Horman 2016-04-15 11:09:36 UTC
looks good, review ack. 

Regarding comment 20, yes, as long as the email matches the bugzila account email you should be good.  Unfortunately, I've checked, and it seems you have failed to complete your waiver signings, as your account is enjoined from joining any other groups yet.  Please investigate and let me know when you have completed the sign up process

Comment 24 ocrdma-dev.pdl 2016-04-19 04:54:10 UTC
Thank you for your review ack.


This user id is approved in CLA Group and Fedora contributors group now. Can you please check and let me know if anything is missing?

Thanks,
Selvin Xavier

Comment 25 Neil Horman 2016-04-19 13:21:54 UTC
yes, you haven't imported the package or built it yet.  Please follow the process here:
https://fedoraproject.org/wiki/Package_Review_Process

Comment 26 ocrdma-dev.pdl 2016-04-25 10:10:00 UTC
Need sponsor for this ocrdma dev account for building the package.

Comment 27 Neil Horman 2016-04-25 13:40:36 UTC
done.

Comment 28 Gwyn Ciesla 2016-04-27 17:28:43 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/libocrdma

Comment 29 ocrdma-dev.pdl 2016-05-02 11:14:47 UTC
Package is imported and built. Please check the status for the libocrdma package.

https://admin.fedoraproject.org/pkgdb/package/rpms/libocrdma/

Comment 30 Neil Horman 2016-05-02 13:12:09 UTC
looks fine

Comment 31 ocrdma-dev.pdl 2016-05-24 09:55:20 UTC
new package libocrdma is added to f24 and the state is changed as stable.

https://bodhi.fedoraproject.org/updates/FEDORA-2016-c22b459394

Can we resolve this bug now?

Comment 32 Neil Horman 2016-05-24 10:40:31 UTC
yes, you're welcome to close it whenever you are ready, as per the process documentation.

Comment 33 ocrdma-dev.pdl 2016-05-27 08:29:25 UTC
The binaries are built for F25 and rawhide. 
http://koji.fedoraproject.org/koji/packageinfo?packageID=22348


Closing this review request.


Note You need to log in before you can comment on or make changes to this bug.